GET List/SaleType/Items
Some tooltip text!
• 5 minutes to read
• 5 minutes to read
GET /api/v1/List/SaleType/Items
Gets a list of all SaleTypeEntity list items.
Calls the List agent service GetAllSaleTypeEntity.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| includeDeleted | bool |
GET /api/v1/List/SaleType/Items?includeDeleted=True
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| SaleTypeId | int32 | Primary key |
| Name | string | The list item |
| Tooltip | string | Tooltip or other description |
| Rank | int32 | Rank order |
| DurationUnit | string | Units for the duration (day, week, whatever) |
| SaleDuration | int32 | Expected number of dales from initiation to close of sale |
| SaleTypeCatId | int32 | Category of sale type, copied to sale |
| Deleted | bool | 0 -> record is active 1 -> record is 'deleted' and should not be shown in lists |
| HasGuide | bool | Does this sale type have a guide attached |
| HasStakeholders | bool | Does this sale type have stakeholders |
| IsAutoAdvance | bool | Does the sale stage advance automatically, when the last guided activity in a stage is completed? |
| AllowQuoteAlternatives | bool | Can quotes linked to sales of this type, have multiple Alternatives |
| DefaultQuoteValidity | int32 | Default valid days for quotes linked to sales of this type (valid from quote transmission) |
| QuoteLinesTemplate | int32 | The template that this sale type should use when producing the product lines offer document; the template must have DocTmplQuoteType=QuoteLines |
| ConfirmationLinesTemplate | int32 | The template that this sale type should use when producing the order confirmation lines document; the template must have DocTmplQuoteType=ConfirmationLines |
| MaxDiscountPercentSet | bool | Is there a limit, in percent, to the total discount on quotes linked to sales of this type |
| MinEarningPercentSet | bool | Is there a limit, in earning as percent of total, on quotes linked to sales of this type |
| MaxDiscountPercent | int32 | The maximum discount in percent of total, if set, on quotes linked to sales of this type |
| MinEarningPercent | int32 | The minimum earning in percent of total, if set, on quotes linked to sales of this type |
| GroupQuoteLinesBy | int32 | Group quote lines by this field |
| SortGroupLinesBy | int32 | Sort group lines by this field |
| Stages | array | Stages, those associated with this SaleType are selected. Use MDO List name "salestage" to get list items. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
GET /api/v1/List/SaleType/Items
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"SaleTypeId": 763,
"Name": "Renewal",
"Tooltip": "Sale type",
"Rank": 694,
"DurationUnit": "Century",
"SaleDuration": 879,
"SaleTypeCatId": 83,
"Deleted": false,
"HasGuide": true,
"HasStakeholders": true,
"IsAutoAdvance": false,
"AllowQuoteAlternatives": false,
"DefaultQuoteValidity": 318,
"QuoteLinesTemplate": 864,
"ConfirmationLinesTemplate": 96,
"MaxDiscountPercentSet": false,
"MinEarningPercentSet": false,
"MaxDiscountPercent": 149,
"MinEarningPercent": 222,
"GroupQuoteLinesBy": 369,
"SortGroupLinesBy": 963,
"Stages": [
{
"Id": 451,
"Name": "Eichmann LLC",
"ToolTip": "Similique veritatis suscipit quaerat at ut voluptatum officia.",
"Deleted": true,
"Rank": 241,
"Type": "doloremque",
"ColorBlock": 436,
"IconHint": "aliquam",
"Selected": false,
"LastChanged": "2001-03-31T14:34:03.492648+02:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "corporis",
"StyleHint": "dignissimos",
"Hidden": false,
"FullName": "Harrison Bode",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 287
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 317
}
}
}
]